package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PlanningDiklatHumasMarketPesertaVO extends BaseTransactionVO{
	@Caption(value = "No Planning")
	private String noPlanning;
	
	@Caption(value = "Kd Produk DHM")
	private String kdProdukDHM;
	
	@Caption(value = "Tgl Planning")
	private Date tglPlanning;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectPegawaiFk")
	@Caption(value = "Object Pegawai")
	private PegawaiVO kdPegawai;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "JenisPetugasPeFk")
	@Caption(value = "Jenis Petugas Pelaksana")
	private JenisPetugasPelaksanaVO kdJenisPetugasPe;
		
	private Integer isPetugasPePJawab;

	private String deskripsiTugasFungsi;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "AsalPesertaFk")
	@Caption(value = "AsalPeserta")
	private AsalPesertaVO kdAsalPeserta;
	
	public AsalPesertaVO getKdAsalPeserta() {
		return kdAsalPeserta;
	}

	public void setKdAsalPeserta(AsalPesertaVO kdAsalPeserta) {
		this.kdAsalPeserta = kdAsalPeserta;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "RekananPesertaFk")
	@Caption(value = "Object Rekanan Peserta")
	private RekananVO kdRekananPeserta;

	private String namaRekananPeserta;

	private String keteranganPlanLainnya;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "PegawaiExecFk")
	@Caption(value = "Object Pegawai Exec")
	private PegawaiVO kdPegawaiExec;

	private double nilaiScore;

	private Integer kdRangeNilaiScore;

	private String keteranganExecLainnya;

	public String getNoPlanning() {
		return noPlanning;
	}

	public void setNoPlanning(String noPlanning) {
		this.noPlanning = noPlanning;
	}

	public String getKdProdukDHM() {
		return kdProdukDHM;
	}

	public void setKdProdukDHM(String kdProdukDHM) {
		this.kdProdukDHM = kdProdukDHM;
	}

	public Date getTglPlanning() {
		return tglPlanning;
	}

	public void setTglPlanning(Date tglPlanning) {
		this.tglPlanning = tglPlanning;
	}

	public PegawaiVO getKdPegawai() {
		return kdPegawai;
	}

	public void setKdPegawai(PegawaiVO kdPegawai) {
		this.kdPegawai = kdPegawai;
	}

	public JenisPetugasPelaksanaVO getKdJenisPetugasPe() {
		return kdJenisPetugasPe;
	}

	public void setKdJenisPetugasPe(JenisPetugasPelaksanaVO kdJenisPetugasPe) {
		this.kdJenisPetugasPe = kdJenisPetugasPe;
	}

	public Integer getIsPetugasPePJawab() {
		return isPetugasPePJawab;
	}

	public void setIsPetugasPePJawab(Integer isPetugasPePJawab) {
		this.isPetugasPePJawab = isPetugasPePJawab;
	}

	public String getDeskripsiTugasFungsi() {
		return deskripsiTugasFungsi;
	}

	public void setDeskripsiTugasFungsi(String deskripsiTugasFungsi) {
		this.deskripsiTugasFungsi = deskripsiTugasFungsi;
	}

	public RekananVO getKdRekananPeserta() {
		return kdRekananPeserta;
	}

	public void setKdRekananPeserta(RekananVO kdRekananPeserta) {
		this.kdRekananPeserta = kdRekananPeserta;
	}

	public String getNamaRekananPeserta() {
		return namaRekananPeserta;
	}

	public void setNamaRekananPeserta(String namaRekananPeserta) {
		this.namaRekananPeserta = namaRekananPeserta;
	}

	public String getKeteranganPlanLainnya() {
		return keteranganPlanLainnya;
	}

	public void setKeteranganPlanLainnya(String keteranganPlanLainnya) {
		this.keteranganPlanLainnya = keteranganPlanLainnya;
	}

	public PegawaiVO getKdPegawaiExec() {
		return kdPegawaiExec;
	}

	public void setKdPegawaiExec(PegawaiVO kdPegawaiExec) {
		this.kdPegawaiExec = kdPegawaiExec;
	}

	public double getNilaiScore() {
		return nilaiScore;
	}

	public void setNilaiScore(double nilaiScore) {
		this.nilaiScore = nilaiScore;
	}

	public Integer getKdRangeNilaiScore() {
		return kdRangeNilaiScore;
	}

	public void setKdRangeNilaiScore(Integer kdRangeNilaiScore) {
		this.kdRangeNilaiScore = kdRangeNilaiScore;
	}

	public String getKeteranganExecLainnya() {
		return keteranganExecLainnya;
	}

	public void setKeteranganExecLainnya(String keteranganExecLainnya) {
		this.keteranganExecLainnya = keteranganExecLainnya;
	}

	

}
